So I've been tinkering with kismet-newcore, my e71 gps and kisgearth, but the latter showed no compatibility with the newcore trunk of kismet. I've mailed the coder about that and this was his response:

Quote Originally Posted by Richard Sammet
well, you are right. Kisgearth is not compatible to kismet-newcore yet. And as I am the only one contributing to the project and I am totally "out of time", I can not promise that kisgearth will ever support kismet-newcore...
So, my advice is either to remove the kisgearth package from the repos; fix it or include kismet "oldcore" for retrocompatibility... I'll see if it can be fixed, as kisgearth is one of the best tools around for its purpose.

Thank you